Subject: returning the lock token from a LOCK

From: "Geoffrey M. Clemm" <[email-masked]>
Date: Tue, 24 Oct 2000 17:05:24 -0400 (EDT)

In section 6.3 of 2518, it says "a lock token is returned by every
successful LOCK operation in the lockdiscovery property in the
response body".

But then in section 8.10.1, it says "In order to indicate the lock
token associated with a newly created lock, a Lock-Token response
header MUST be included in the response for every successful LOCK
request for a new lock."

But then in the examples, no Lock-Token response header is included.

This needs to be cleaned up.

My personal preference is to go with section 8.10.1, unless there
are servers/clients out there that depend on the section 6.3
semantics, in which case we probably should require it to appear
in *both* the header and the body (gross).

Cheers,
Geoff